Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.TruncateUnusedPages Method
RecnoDatabase Class See Also

Return pages to the filesystem that are already free and at the end of the file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public uint TruncateUnusedPages()

Visual Basic (Declaration)
    Public Function TruncateUnusedPages As UInteger

Visual C++
    public:
    unsigned int TruncateUnusedPages()

#### Return Value

The number of database pages returned to the filesystem

# See Also

RecnoDatabase Class
TruncateUnusedPages Overload
BerkeleyDB Namespace